Subject: bug#74361: [PATCH] New option xref-navigation-display-window-action

From: Dmitry Gutov <[email-masked]>
Date: Wed, 27 Nov 2024 03:45:05 +0200

On 25/11/2024 03:58, Dmitry Gutov wrote:
>> Debugger entered--Lisp error: (wrong-type-argument listp xref)
>>    append(nil nil nil (category . xref) nil nil ...)
>>    display-buffer(#<buffer xref.el> ((category . xref)))
>>    xref--show-pos-in-buf(...)
>>    xref--show-location(...)
>>    command-execute(xref-goto-xref)
>>
>> This is not reproducible in `emacs -Q`.  If you want,
>> I could try to find minimal customization.
>> But the main thing is that with my customization
>> (window-live-p xref--original-window) is nil,
>> so 'xref--show-pos-in-buf' uses the last branch of 'cond'.
> 
> No it's okay - I guess if this makes some customizations easier (not 
> erroring out), that's also a win.

Now pushed to patch to master in commit 0624fe6f849, thanks for the 
comments. I'll wait for the rest of the discussion to settle before 
closing the bug.